# TODO: CUDA (as bcond)
#
# Conditional build:
%bcond_with	opengl	# OpenGL rendering backend (disabled by default) [missing files as of 1.0.11]
#
Summary:	Library for decoding and encoding video in the Dirac format
Summary(pl.UTF-8):	Biblioteka do dekodowania i kodowania obrazu w formacie Dirac
Name:		schroedinger
Version:	1.0.11
Release:	3
License:	MPL 1.1 or LGPL v2 or GPL v2 or MIT
Group:		Libraries
Source0:	http://diracvideo.org/download/schroedinger/%{name}-%{version}.tar.gz
# Source0-md5:	da6af08e564ca1157348fb8d92efc891
Patch0:		%{name}-opt.patch
URL:		http://www.diracvideo.org/
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
%{?with_opengl:BuildRequires:	glew-devel >= 1.5}
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	orc-devel >= 0.4.16
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
%{?with_opengl:Requires:	glew >= 1.5}
Requires:	orc >= 0.4.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for decoding and encoding video in the Dirac format. It is
implemented in ANSI C and optimized through the use of liboil.
libschroedinger is written as a collaboration between the BBC Research
and Development, David Schleef and Fluendo.

%description -l pl.UTF-8
Biblioteka do dekodowania i kodowania obrazu w formacie Dirac. Jest
zaimplementowana w ANSI C i zoptymalizowana poprzez użycie liboil.
Jest pisana we współpracy między BBC Research and Development, Davidem
Schleefem i Fluendo.

%package devel
Summary:	Header files for Schroedinger library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Schroedinger
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_opengl:Requires:	glew-devel >= 1.5}
Requires:	libstdc++-devel
Requires:	orc-devel >= 0.4.16

%description devel
Header files for Schroedinger library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Schroedinger.

%package static
Summary:	Static Schroedinger library
Summary(pl.UTF-8):	Statyczna biblioteka Schroedinger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Schroedinger library.

%description static -l pl.UTF-8
Statyczna biblioteka Schroedinger.

%package apidocs
Summary:	API documentation for Schroedinger library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Schroedinger
Group:		Documentation

%description apidocs
API documentation for Schroedinger library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Schroedinger.

%prep
%setup -q
%patch0 -p1

%{__rm} m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_opengl:--with-opengl}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libschroedinger-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.MIT NEWS TODO
%attr(755,root,root) %{_libdir}/libschroedinger-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libschroedinger-1.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libschroedinger-1.0.so
%{_includedir}/schroedinger-1.0
%{_pkgconfigdir}/schroedinger-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libschroedinger-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/schroedinger
%changelog
* Sat Sep 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/schroedinger.git;a=log;h=master

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 4271284
- drop .la file, split -apidocs; release 3

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> f432f00
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 834bf05
- updated install time orc dependencies
- added opengl bcond (not working atm. because of missing files)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 6135056
- up to 1.0.11

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> ef38b4c
- updated to 1.0.10

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 3579fcd
- kill libtool m4 copies

* Mon Mar 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e49bf80
- up to 1.0.9; gstreamer plugin in gstreamer-plugins-bad

* Sun Sep 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 72ece70
- md5

* Sun Sep 13 2009 Karol Krenski <charles@pld-linux.org> 3ad5bc1
- updated to 1.0.7
- updated URL, Source0
- added -gst.patch, -install.patch

* Sun Sep 13 2009 Karol Krenski <charles@pld-linux.org> 519793c
- for 1.0.7

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 18b50e9
- liboil epoch; rel 2

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> ff5343d
- macros for _gtkdocdir

* Mon Aug 25 2008 Karol Krenski <charles@pld-linux.org> 75f54f0
- BR: pkgconfig, s/gstreamer-devel/gstreamer-plugins-base-devel/

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> e68437e
- don't override optflags

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 8778524
- new

